The Spring Framework

## Package org.springframework.web

Common, generic interfaces that define minimal boundary points between Spring's web infrastructure and other framework modules.

See:
Description

Interface Summary
HttpRequestHandler: Plain handler interface for components that process HTTP requests, analogous to a Servlet.

Exception Summary
HttpRequestMethodNotSupportedException: Exception thrown when a request handler does not support a specific request method.
HttpSessionRequiredException: Exception thrown when an HTTP request handler requires a pre-existing session.

## Package org.springframework.web Description

Common, generic interfaces that define minimal boundary points between Spring's web infrastructure and other framework modules.

The Spring Framework

Copyright © 2002-2008 The Spring Framework.